package com.benyun.dao;

import com.benyun.entity.EventLog;
import com.benyun.vo.EventLogVo;
import org.beetl.sql.core.mapper.BaseMapper;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.springframework.stereotype.Repository;

/**
 * 日志信息表(EventLog)表数据库访问层
 *
 * @author makejava
 * create on 2023-03-22 09:25:06
 */
@Repository
@SqlResource("EventLog")
public interface EventLogDao extends BaseMapper<EventLog> {
    /**
     * 分页查询
     */
    void queryByPage(PageQuery<EventLog> pageQuery);

    void queryByPage2(PageQuery<EventLogVo> pageQuery);

    EventLogVo queryById(Integer id);
}
