package com.benyun.dao;

import com.benyun.entity.User;
import org.beetl.sql.core.mapper.BaseMapper;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.springframework.stereotype.Repository;

/**
 * 用户信息表(User)表数据库访问层
 *
 * @author makejava
 * create on 2023-03-17 09:06:58
 */
@Repository
@SqlResource("User")
public interface UserDao extends BaseMapper<User> {
    /**
     * 分页查询
     */
    void queryByPage(PageQuery<User> pageQuery);
}
