package com.benyun.entity;


import lombok.*;
import org.beetl.sql.core.TailBean;
import org.beetl.sql.core.annotatoin.Table;
import org.beetl.sql.core.annotatoin.AutoID;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 事件附件表(EventAppendix)实体类
 *
 * @author makejava
 * @since 2023-03-27 08:55:05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Table(name = "event_appendix")
public class EventAppendix extends TailBean {
    private static final long serialVersionUID = -35753849133582681L;
    /**
     * 表ID
     */
    @AutoID
    private Integer id;
    /**
     * 事件ID
     */
    private String eventId;
    /**
     * 附件名称
     */
    private String name;

}
