package com.benyun.vo;


import lombok.*;
import org.beetl.sql.core.TailBean;
import org.beetl.sql.core.annotatoin.Table;
import org.beetl.sql.core.annotatoin.AutoID;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日志信息表(EventLog)实体类
 *
 * @author makejava
 * @since 2023-03-22 09:25:47
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EventLogVo extends TailBean {
    private static final long serialVersionUID = 372748058767071877L;
    /**
     * ID
     */
    private Integer id;
    /**
     * 应用ID
     */
    private String applyId;
    /**
     * 事件ID
     */
    private String eventId;
    /**
     * 事件名称
     */
    private String eventName;
    /**
     * 事件应用名称
     */
    private String applyName;
    /**
     * 触发事件时间
     */
    private Date eventTime;
    /**
     * 触发事件用户
     */
    private Integer userId;
    /**
     * 触发事件用户统一id
     */
    private String userOpenid;
    /**
     * 触发事件用户名
     */
    private String userName;
    /**
     * 设备ID
     */
    private String deviceId;
    /**
     * 设备类型
     */
    private String deviceType;
    /**
     * 设备操作系统
     */
    private String deviceOs;
    /**
     * 设备操作系统版本
     */
    private String deviceOsVersion;
    /**
     * 设备浏览器
     */
    private String deviceBrowser;
    /**
     * 设备语言
     */
    private String deviceLanguage;
    /**
     * 设备地理位置
     */
    private String location;
    /**
     * 事件响应页地址
     */
    private String applyUrl;
    /**
     * 响应页浏览次数
     */
    private String applyUrlPv;
    /**
     * 响应页浏览时长
     */
    private String applyUrlUv;
    /**
     * IP地址
     */
    private String ipAddress;
    /**
     * 文本
     */
    private String info;

}
